Update
Update a status page incident.
This endpoint requires an API key with the βCreate status page incidents, status page maintenance windows, and publish status page updatesβ scope.
PUT
/
v2
/
status_page_incidents
/
{status_page_incident_id}
Update
curl --request PUT \
--url https://api.incident.io/v2/status_page_incidents/{status_page_incident_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Elevated API latency"
}
'import requests
url = "https://api.incident.io/v2/status_page_incidents/{status_page_incident_id}"
payload = { "name": "Elevated API latency" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Elevated API latency'})
};
fetch('https://api.incident.io/v2/status_page_incidents/{status_page_incident_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_page_incident": {
"component_impacts": [
{
"component_id": "01GW7P4ES31Q6V1ZQH321T0GJN",
"component_status": "degraded_performance",
"end_at": "2021-08-17T13:28:57.801578Z",
"start_at": "2021-08-17T13:28:57.801578Z"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_status": "investigating",
"name": "Elevated API latency",
"published_at": "2021-08-17T13:28:57.801578Z",
"status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"updates": [
{
"component_statuses": [
{
"component_id": "01FCNDV6P870EA6S7TK1DSYDG2",
"component_status": "operational"
}
],
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_status": "investigating",
"message": "abc123",
"published_at": "2021-08-17T13:28:57.801578Z",
"status_page_incident_id": "01FCNDV6P870EA6S7TK1DSYDG1"
}
]
}
}Authorizations
API key from your incident.io dashboard (Settings β API keys)
Path Parameters
ID of the status page incident
Example:
"01FCNDV6P870EA6S7TK1DSYDG1"
Body
application/json
A title for the incident
Maximum string length:
200Example:
"Elevated API latency"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Was this page helpful?
βI
Update
